Package com.xebialabs.xlrelease.domain.versioning.ascode.validation

# Class NonVersionedRef

java.lang.Object
com.xebialabs.xlrelease.domain.versioning.ascode.validation.NonVersionedRef

All Implemented Interfaces:
  `ValidationMessage`

public class NonVersionedRef extends Object implements ValidationMessage

- ## Field Summary

  ### Fields inherited from interface com.xebialabs.xlrelease.domain.versioning.ascode.validation.ValidationMessage

  `LEVEL_ERROR, LEVEL_WARN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NonVersionedRef(CiInfo ci, String property, CiInfo ref)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `CiInfo`
  `getCi()`
  `String`
  `getMessage()`
  `String`
  `getMessageLevel()`
  `String`
  `getMessageType()`
  `String`
  `getProperty()`
  `CiInfo`
  `getRef()`
  `int`
  `hashCode()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NonVersionedRef

    public NonVersionedRef(CiInfo ci, String property, CiInfo ref)

- ## Method Details

  - ### getRef

    public CiInfo getRef()

  - ### getCi

    public CiInfo getCi()
    Specified by:
      `getCi` in interface `ValidationMessage`

  - ### getProperty

    public String getProperty()
    Specified by:
      `getProperty` in interface `ValidationMessage`

  - ### getMessage

    public String getMessage()
    Specified by:
      `getMessage` in interface `ValidationMessage`

  - ### getMessageType

    public String getMessageType()
    Specified by:
      `getMessageType` in interface `ValidationMessage`

  - ### getMessageLevel

    public String getMessageLevel()
    Specified by:
      `getMessageLevel` in interface `ValidationMessage`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`